SketchUp C API

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Related Functions
SUClassificationAttributeRef Struct Reference

References attribute data about a classified component. More...

`#include <SketchUpAPI/model/classification_attribute.h>`

## Related Functions
(Note that these are not member functions.)
enum SUResult | SUClassificationAttributeGetValue (SUClassificationAttributeRef attribute, SUTypedValueRef *value)
| Retrieves the value of the attribute. More...
enum SUResult | SUClassificationAttributeGetPath (SUClassificationAttributeRef attribute, SUStringRef *path)
| Retrieves the path to the attribute. More...
enum SUResult | SUClassificationAttributeGetNumChildren (SUClassificationAttributeRef attribute, size_t *count)
| Retrieves the number of children setting of the attribute. More...
enum SUResult | SUClassificationAttributeGetChild (SUClassificationAttributeRef attribute, size_t index, SUClassificationAttributeRef *child)
| Retrieves the child attribute at the given index. More...

## Detailed Description

References attribute data about a classified component.

## Friends And Related Function Documentation

enum SUResult SUClassificationAttributeGetChild | ( | SUClassificationAttributeRef | attribute,
|  | size_t | index,
|  | SUClassificationAttributeRef * | child
| ) |  |
| related

Retrieves the child attribute at the given index.

Since
  SketchUp 2017, API 5.0

Parameters

  [in] | attribute | The classification attribute object.
  [in] | index | The index of the child attribute to get.
  [out] | child | The child attribute retrieved.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if attribute is not a valid object
  - SU_ERROR_NULL_POINTER_OUTPUT if child is NULL

enum SUResult SUClassificationAttributeGetNumChildren | ( | SUClassificationAttributeRef | attribute,
|  | size_t * | count
| ) |  |
| related

Retrieves the number of children setting of the attribute.

Since
  SketchUp 2017, API 5.0

Parameters

  [in] | attribute | The classification attribute object.
  [out] | count | The number of children this attribute contains.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if attribute is not a valid object
  - SU_ERROR_NULL_POINTER_OUTPUT if count is NULL

enum SUResult SUClassificationAttributeGetPath | ( | SUClassificationAttributeRef | attribute,
|  | SUStringRef * | path
| ) |  |
| related

Retrieves the path to the attribute.

Since
  SketchUp 2017, API 5.0

Parameters

  [in] | attribute | The classification attribute object.
  [out] | path | The attribute name as it should be displayed to the user.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if attribute is not a valid object
  - SU_ERROR_NULL_POINTER_OUTPUT if path is NULL
  - SU_ERROR_INVALID_OUTPUT if path does not point to a valid SUStringRef object

enum SUResult SUClassificationAttributeGetValue | ( | SUClassificationAttributeRef | attribute,
|  | SUTypedValueRef * | value
| ) |  |
| related

Retrieves the value of the attribute.

Since
  SketchUp 2017, API 5.0

Parameters

  [in] | attribute | The classification attribute object.
  [out] | value | The value of the attribute.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if attribute is not a valid object
  - SU_ERROR_NULL_POINTER_OUTPUT if value is NULL
  - SU_ERROR_INVALID_OUTPUT if value does not point to a valid SUTypedValueRef object

The documentation for this struct was generated from the following files:

- SketchUpAPI/model/defs.h
- SketchUpAPI/model/classification_attribute.h